Add freeform risk factor text
curl --request POST \
--url https://api.byblend.com/api/v1/patients/{patient_id}/risk_factors/raw_text \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allergies": "Penicillin, latex",
"conditions": "Asthma, hypertension",
"medications": "vyvanse/metformin"
}
'import requests
url = "https://api.byblend.com/api/v1/patients/{patient_id}/risk_factors/raw_text"
payload = {
"allergies": "Penicillin, latex",
"conditions": "Asthma, hypertension",
"medications": "vyvanse/metformin"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allergies: 'Penicillin, latex',
conditions: 'Asthma, hypertension',
medications: 'vyvanse/metformin'
})
};
fetch('https://api.byblend.com/api/v1/patients/{patient_id}/risk_factors/raw_text', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Patients
Add freeform risk factor text
Attach unprocessed raw text risk factors to a patient. Text will be processed and parsed asynchronously.
POST
/
api
/
v1
/
patients
/
{patient_id}
/
risk_factors
/
raw_text
Add freeform risk factor text
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for the patient, either UUID or external ID (e.g. my-patients-128318AA2) if you have provided one during patient creation or update.
Body
application/json
Response
201
Raw text risk factors added successfully
⌘I